Author Topic: Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)  (Read 12321 times)

Twix

  • Beginner
  • *
  • Posts: 46
Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #15 on: January 28, 2012, 12:15:19 pm »
Nice!!

I've fixed the paymentmethod edit and add. Replace the code from the previous post with this:

   /**
    * Handle the edit task
    * Still in alpha!
    *
     * @author Twentronix
    */
   function edit(){
      $app  = JFactory::getApplication();
      $task = JRequest::getCmd('task');
      $cid  = JRequest::getVar( 'cid', array(0), '', 'array' );
      $id   = (int)$cid[0];
      
      $link = 'index.php?option=com_virtuemart&view='.'paymentmethod'.'&layout=edit';
      if ($id != null){
         $link = $link.'&cid[]='.$id;
      }
      $app->redirect($link, $msg);
   }

I'm not sure if this is the best way to fix it, but it works :)

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10070
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #16 on: January 28, 2012, 13:34:24 pm »
But it works in j1.7.x and in j1.5.

We have first to understand what they do different in j2.5 and then we will change the vmcontroller.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

capricornio

  • Jr. Member
  • **
  • Posts: 56
Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #17 on: January 28, 2012, 23:19:44 pm »
Milbo,

This error is also happening when I want to add/edit a manufacturer, manuf. category, coupons etc. So it's definitely in the vmcontroller.
Any idea when you have an updated release ? VM is pretty useless when you can't configure your shop and I guess the majority will move from Joomla 1.7 to 2.5 very soon

Thnx

Twix

  • Beginner
  • *
  • Posts: 46
Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #18 on: January 28, 2012, 23:27:05 pm »
If you have VM 2.0.1b you can try tis temporarily fix. Note that it doesn't fix all:
http://forum.virtuemart.net/index.php?topic=96983.msg319907#msg319907

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27777
  • Always on vacation
    • Jenkin Hill Internet
Re: Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #19 on: January 28, 2012, 23:46:13 pm »
capricornio, have you been reading this other thread?  http://forum.virtuemart.net/index.php?topic=96983.msg319924#msg319924

I disagree that the majority will move to 2.5 very soon. Most will wait to see if it is fully functional first. After all, most VM2 users have installed it on J1.5 as they feel safer.....
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.8.4.10335 on Joomla 3.9.19 PHP 7.3.18

maxi1973

  • Jr. Member
  • **
  • Posts: 68
Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #20 on: January 29, 2012, 15:22:05 pm »
Joomla 1.7 will be no more developed since April 2012 ... a lot of users is running to joomla 2.5.
I suppose it's too early to run, let's start walking, it's too soon to april  :D

I suppose, at least, in march we will have a more stable version of joomla so VM developers may study a stable too version for all users. (sorry for english)

NO PANIC, NO PANIC!!!

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10070
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #21 on: January 29, 2012, 15:51:43 pm »
hahahha

We already have stuff implement other need todo now, for example we have name=adminForm AND id=adminForm already. I am quite sure j2.5 is great, simular to vm2.0.0 not completly matured.... even they have a lot j1.5 code and we not vm1.1 code. I think j2.5.3 or so will be really great and stable.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27777
  • Always on vacation
    • Jenkin Hill Internet
Re: Re: New pre subrelease VirtueMart 2.0.1 (with j2.5)
« Reply #22 on: January 29, 2012, 19:27:35 pm »
Yeah, it looks like the rushed out J2.5.1 update (in 48 hrs time) still won't have all issues resolved. ( https://groups.google.com/forum/#!topic/joomlabugsquad/4RLnsIvDCVY) I'll probably now wait for 2.5.2 at least......
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.8.4.10335 on Joomla 3.9.19 PHP 7.3.18